## python-os-cloud-config 0.0.2

=== requirements.txt ===
pbr>=0.6,<1.0

argparse
Babel>=1.3
python-keystoneclient>=0.6.0
oslo.config>=1.2.0

=== debian/changelog ===
python-os-cloud-config (0.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #749108)

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 May 2014 16:16:47 +0800

=== debian/control ===
Source: python-os-cloud-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-fixtures (>= 0.3.14),
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:0.6.0),
                     python-mock (>= 1.0),
                     python-oslo.config (>= 1.1.0),
                     python-oslosphinx,
                     python-six (>= 1.5.2),
                     python-sphinx,
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-os-cloud-config.git
Vcs-Git: git://anonscm.debian.org/openstack/python-os-cloud-config.git
Homepage: http://github.com/openstack/os-cloud-config

Package: python-os-cloud-config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:0.6.0),
         python-oslo.config (>= 1.2.0),
         python-pbr (>= 0.6),
         python-six (>= 1.5.2),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Recommends: ${python:Recommends}
Description: configuration seed and initialisation for TripleO OpenStack clouds
 This package is part of the TripleO project. TripleO is a program aimed at
 installing, upgrading and operating OpenStack clouds using OpenStack's own
 cloud facilities as the foundations - building on nova, neutron and heat to
 automate fleet management at datacentre scale (and scaling down to as few as
 2 machines).
 .
 This package contains the common code for tuskar and the seed initialisation
 logic, the post heat completion initial configuration of a cloud.

## python-os-cloud-config 0.2.6

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

argparse
Babel>=1.3
python-glanceclient>=0.15.0
python-ironicclient>=0.2.1
python-keystoneclient>=1.1.0
python-neutronclient>=2.3.6,<3
python-novaclient>=2.18.0,!=2.21.0
oslo.config>=1.6.0  # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
pyOpenSSL>=0.11
six>=1.7.0

=== debian/changelog ===
python-os-cloud-config (0.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2015 13:59:35 +0000

=== debian/control ===
Source: python-os-cloud-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 0.11),
               python-setuptools,
Build-Depends-Indep: python-babel,
                     python-fixtures,
                     python-glanceclient (>= 1:0.15.0),
                     python-ironicclient (>= 0.2.1),
                     python-iso8601,
                     python-keystoneclient (>= 1:1.1.0),
                     python-mock,
                     python-neutronclient (>= 2.3.6),
                     python-novaclient (>= 2:2.22.0),
                     python-openssl,
                     python-oslo.config (>= 1:1.6.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-six (>= 1.9.0),
                     python-sphinx,
                     python-testscenarios,
                     python-testtools,
                     subunit (>= 0.0.18),
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-os-cloud-config.git
Vcs-Git: git://anonscm.debian.org/openstack/python-os-cloud-config.git
Homepage: http://github.com/openstack/os-cloud-config

Package: python-os-cloud-config
Architecture: all
Depends: python-babel (>= 1.3),
         python-glanceclient (>= 1:0.15.0),
         python-ironicclient (>= 0.2.1),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:1.1.0),
         python-neutronclient (>= 2.3.6),
         python-novaclient (>= 2:2.22.0),
         python-openssl,
         python-oslo.config (>= 1:1.6.0),
         python-oslo.i18n (>= 1.5.0),
         python-pbr (>= 0.11),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Recommends: ${python:Recommends},
Description: configuration seed and initialisation for TripleO OpenStack clouds
 This package is part of the TripleO project. TripleO is a program aimed at
 installing, upgrading and operating OpenStack clouds using OpenStack's own
 cloud facilities as the foundations - building on nova, neutron and heat to
 automate fleet management at datacentre scale (and scaling down to as few as
 2 machines).
 .
 This package contains the common code for tuskar and the seed initialisation
 logic, the post heat completion initial configuration of a cloud.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/os-cloud-config.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-os-cloud-config/usr/share/doc/python-os-cloud-config/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/os-cloud-config os-cloud-config-(.*).tar.gz
